LinuxQuestions.org
Visit the LQ Articles and Editorials section
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 06-24-2004, 02:21 AM   #1
cybercullen
LQ Newbie
 
Registered: Jun 2004
Location: US
Distribution: Fedora Core 5
Posts: 12

Rep: Reputation: 0
libstdc++-libc6.1-1.so.2


Hello. I am trying to install a software package (SGI OpenGL Performer) and when I try to install when using Fedora Core 2 I get the following error:

error: Failed dependencies:
libstdc++-libc6.1-1.so.2 is needed by performer_demos-3.1.1_gcc3-0

I have tried to find an rpm that will give me the proper file(s) but every rpm I have tried has not solved this. I have gone to rpmfind.net but it has not helped either. I think I must not be looking for the correct thing.

Thanks in advance!
 
Old 06-24-2004, 02:33 AM   #2
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 22,974
Blog Entries: 11

Rep: Reputation: 879Reputation: 879Reputation: 879Reputation: 879Reputation: 879Reputation: 879Reputation: 879
I'd suggest that you find out which version of
libstdc++-libc
you have, and maybe to create a symlink with
the name the perfomer thing wants ...


Cheers,
Tink
 
Old 06-24-2004, 02:56 AM   #3
cybercullen
LQ Newbie
 
Registered: Jun 2004
Location: US
Distribution: Fedora Core 5
Posts: 12

Original Poster
Rep: Reputation: 0
Ok, how do I find out what version I have (if any)? Sorry, but I'm a newbie.

Thanks.
 
Old 06-24-2004, 02:06 PM   #4
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 22,974
Blog Entries: 11

Rep: Reputation: 879Reputation: 879Reputation: 879Reputation: 879Reputation: 879Reputation: 879Reputation: 879
Code:
locate libstdc++-libc
If that fails (comes back saying that a database
is missing), run "updatedb -c" (or "updatedb /")
as root and try again.


Cheers,
Tink
 
Old 06-25-2004, 03:00 AM   #5
cybercullen
LQ Newbie
 
Registered: Jun 2004
Location: US
Distribution: Fedora Core 5
Posts: 12

Original Poster
Rep: Reputation: 0
Ok, it gives me the following:

/usr/src/redhat/SOURCES/gcc-libstdc++-libc-interface.patch

What now?
 
Old 06-25-2004, 04:59 AM   #6
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 22,974
Blog Entries: 11

Rep: Reputation: 879Reputation: 879Reputation: 879Reputation: 879Reputation: 879Reputation: 879Reputation: 879
not quite it.

Now, I don't have the slightest clue about fudora's packages,
but in slack the library you're after would be part of cxxlibs,
a set of c++ libraries linked against older versions of libc for
compatibility...


Cheers,
Tink
 
Old 07-08-2009, 01:05 PM   #7
Huginn
LQ Newbie
 
Registered: Jul 2009
Posts: 2

Rep: Reputation: 0
Too anyone installing Performer on newer releases making symlinks will not work trying to get the demos installed. The fix posted here works for me:
http://www.withindows.net/bb/viewtop...c4725a293daf23

I've done this using both Fedora 6 and 11.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
How to install libstdc++-libc6.2-2.so.3? Muzilli Fedora 19 09-13-2007 09:53 AM
Error: libstdc++-libc6.2-2 .so.3 ceenu99 Linux - Software 2 07-14-2005 11:53 PM
i need libstdc++-libc6.1-1.so.2 for mandrake 10.0 msg4real Linux - Software 8 02-05-2005 07:26 PM
libstdc++-libc6.2-2.so.3 tommytomato Linux - General 1 12-12-2003 01:07 AM
libstdc++-libc6.2? jpbarto Linux From Scratch 1 04-13-2003 09:35 PM


All times are GMT -5. The time now is 02:01 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration